## aHR0cHM6Ly9naXRodWIuY29tL0xvbmctbGl2ZS1zaGFkb3dzb2Nrcy9TaGFkb3dWUE4vYXJjaGl2ZS9yZWZzL3RhZ3MvMC4yLnppcA

=== openwrt/Makefile ===
include $(TOPDIR)/rules.mk

PKG_NAME:=ShadowVPN
PKG_VERSION:=0.2.0
PKG_RELEASE=$(PKG_SOURCE_VERSION)

PKG_SOURCE_URL:=https://github.com/clowwindy/ShadowVPN/releases/download/$(PKG_VERSION)
PKG_SOURCE:=shadowvpn-$(PKG_VERSION).tar.gz

PKG_MAINTAINER:=clowwindy <clowwindy42@gmail.com>
PKG_LICENSE:=MIT
PKG_LICENSE_FILES:=LICENSE

PKG_BUILD_DIR:=$(BUILD_DIR)/$(PKG_NAME)-$(BUILD_VARIANT)/shadowvpn-$(PKG_VERSION)

PKG_INSTALL:=1
PKG_FIXUP:=autoreconf
PKG_USE_MIPS16:=0
PKG_BUILD_PARALLEL:=1

include $(INCLUDE_DIR)/package.mk

define Package/ShadowVPN/Default
  SECTION:=net
  CATEGORY:=Network
  TITLE:=ShadowVPN
  DEPENDS:=+kmod-tun +ip
  URL:=https://github.com/clowwindy/ShadowVPN
endef

define Package/ShadowVPN
  $(call Package/ShadowVPN/Default)
endef

define Package/ShadowVPN/description
A fast, safe VPN based on libsodium
endef

define Package/ShadowVPN/conffiles
/etc/shadowvpn/client.conf
/etc/shadowvpn/client_up.sh
/etc/shadowvpn/client_down.sh
endef

define Package/ShadowVPN/install
	$(INSTALL_DIR) $(1)/etc/init.d
	$(INSTALL_DIR) $(1)/etc/shadowvpn
	$(INSTALL_DIR) $(1)/etc/hotplug.d/iface
	$(INSTALL_CONF) $(PKG_BUILD_DIR)/samples/client.conf $(1)/etc/shadowvpn/client.conf
	$(INSTALL_CONF) $(PKG_BUILD_DIR)/samples/client_up.sh $(1)/etc/shadowvpn/client_up.sh
	$(INSTALL_CONF) $(PKG_BUILD_DIR)/samples/client_down.sh $(1)/etc/shadowvpn/client_down.sh
	$(INSTALL_CONF) $(PKG_BUILD_DIR)/samples/30-shadowvpn $(1)/etc/hotplug.d/iface/30-shadowvpn
	$(INSTALL_BIN) ./files/shadowvpn.init $(1)/etc/init.d/shadowvpn
	$(INSTALL_DIR) $(1)/usr/bin
	$(INSTALL_BIN) $(PKG_BUILD_DIR)/src/shadowvpn $(1)/usr/bin
endef

$(eval $(call BuildPackage,ShadowVPN))

=== debian/changelog ===
shadowvpn (0.1.7-1) unstable; urgency=low

  * Update configurations

 -- clowwindy <clowwindy42@gmail.com>  Sat, 08 Aug 2015 16:24:00 +0800

shadowvpn (0.1.6-1) unstable; urgency=low

  * Call setsid and ignore SIGHUP in daemon mode

 -- clowwindy <clowwindy42@gmail.com>  Sun, 25 Jan 2015 21:46:22 +0800

shadowvpn (0.1.5-1) unstable; urgency=low

  * Fix select: Invalid argument

 -- clowwindy <clowwindy42@gmail.com>  Mon, 08 Dec 2014 11:43:00 +0800

shadowvpn (0.1.4-1) unstable; urgency=low

  * Support connecting server with multiple local ports
  * Minor fixes to scripts

 -- clowwindy <clowwindy42@gmail.com>  Tue, 25 Nov 2014 10:41:00 +0800

shadowvpn (0.1.3-1) unstable; urgency=low

  * Initial release

 -- clowwindy <clowwindy42@gmail.com>  Thu, 18 Oct 2014 12:31:00 +0800

=== debian/control ===
Source: shadowvpn
Section: net
Priority: extra
Maintainer: clowwindy <clowwindy42@gmail.com>
Build-Depends: debhelper (>= 8.0.0), autotools-dev, mime-support, gawk
Standards-Version: 3.9.3
Homepage: https://github.com/clowwindy/ShadowVPN
Vcs-Git: git://github.com/clowwindy/ShadowVPN.git
Vcs-Browser: https://github.com/clowwindy/ShadowVPN

Package: shadowvpn
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, iproute, iptables
Description: A fast, safe VPN based on libsodium

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

%:
	dh $@ 
override_dh_auto_configure:
	dh_auto_configure -- --enable-static

override_dh_auto_install:
